## dpkg-scriptlib 0.1-3.0

=== debian/changelog ===
dpkg-scriptlib (0.1-3.0) unstable; urgency=low

  * NMU for bug fixes and updates
  * Closes: #23059, #28968, #53178, #41973, #49264, #14927

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Wed,  5 Jan 2000 11:35:00 -0800
