=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: dpkg-scriptlib
 Section: devel
 Priority: extra
-Maintainer: Klee Dienes <klee@debian.org>
-Standards-Version: 2.4.1.0
+Maintainer: Debian QA Group <debian-qa@debian.org>
+Standards-Version: 3.0.1
 
 Package: dpkg-perl
 Architecture: all
-Depends: perl-base, dpkg (>= 1.4.0.8)
+Depends: perl5-base, libnet-perl, dpkg (>= 1.4.0.8)
 Description: Perl interface modules for dpkg
  Contains Perl 5 modules for dpkg, the Debian package management
  system.  These are currently skeletal, but should eventually provide
